{% extends 'styleguide2/includes/organisms/layout/navbar.html' %}

{% load static wagtailimages_tags %}

{% if page.root_page.light_logo %}
  {% image page.root_page.light_logo max-256x256 as light_logo %}
{% endif %}

{% if page.root_page.dark_logo %}
  {% image page.root_page.dark_logo max-256x256 as dark_logo %}
{% endif %}

{% block navbar_logo_images %}
  <div
    class="
      gap-3 flex-row flex-nowrap items-center

      navbar__logo--white
      navbar__district__logo
    "
  >
    <img
      class="w-[160px] lg:w-[190px]"
      src="{% if light_logo %}{{ light_logo.url }}{% else %}{% static 'styleguide2/images/district/logo-full-white.svg' %}{% endif %}"
      alt="{% if light_logo %}{{ light_logo.alt }}{% else %}Pirátské logo{% endif %}"
    >

    <div class="font-alt text-xl w-[100px]">
      {% if page.root_page.title_suffix %}
        {{ page.root_page.title_suffix }}
      {% else %}
        {{ page.root_page.title }}
      {% endif %}
    </div>
  </div>

  <div
    class="
      gap-3 flex-row flex-nowrap items-center

      navbar__logo--black
      navbar__district__logo
    "
  >
    <img
      class="w-[160px] lg:w-[190px]"
      src="{% if dark_logo %}{{ dark_logo.url }}{% else %}{% static 'styleguide2/images/district/logo-full-black.svg' %}{% endif %}"
      alt="{% if dark_logo %}{{ dark_logo.alt }}{% else %}Pirátské logo{% endif %}"
    >

    <div class="font-alt text-xl w-[100px]">
      {% if page.root_page.title_suffix %}
        {{ page.root_page.title_suffix }}
      {% else %}
        {{ page.root_page.title }}
      {% endif %}
    </div>
  </div>
{% endblock %}

{% block after_desktop_search %}
  {% if page.root_page.calendar_page %}
    <div class="w-24 h-11 min-w-[9rem]">
      <a
        href="{{ page.root_page.calendar_page.url }}"
        class="
          navbar__border-button

          font-alt flex items-center justify-center border-none border-4 w-24 h-11 py-4 px-3 duration-150 cursor-pointer text-lg gap-1

          hover:no-underline

          xl:w-auto
        "
      >
        <i class="ico--calendar"></i>

        {{ page.root_page.calendar_button_text }}
      </a>
    </div>
  {% endif %}
{% endblock %}
